<?xml version="1.0" encoding="UTF-8"?>
<web-app version="2.4" xmlns="http://java.sun.com/xml/ns/j2ee" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://java.sun.com/xml/ns/j2ee http://java.sun.com/xml/ns/j2ee/web-app_2_4.xsd">
  <servlet>
    <servlet-name>DBTest</servlet-name>
    <servlet-class>com.fenalco.servlets.test.DBTest</servlet-class>
  </servlet>
  <servlet>
    <servlet-name>ExternalUserValidator</servlet-name>
    <servlet-class>com.fenalco.servlets.callcenter.ExternalUserValidator</servlet-class>
  </servlet>
  <servlet>
    <servlet-name>ShopKeeperStarter</servlet-name>
    <servlet-class>com.fenalco.servlets.shopkeeper.ShopKeeperStarter</servlet-class>
  </servlet>
  <servlet>
    <servlet-name>DataView</servlet-name>
    <servlet-class>com.fenalco.servlets.shopkeeper.DataView</servlet-class>
  </servlet>
  <servlet>
    <servlet-name>DataHandler</servlet-name>
    <servlet-class>com.fenalco.servlets.shopkeeper.DataHandler</servlet-class>
  </servlet>
  <servlet>
    <servlet-name>ListsView</servlet-name>
    <servlet-class>com.fenalco.servlets.shopkeeper.ListsView</servlet-class>
  </servlet>
  <servlet>
    <servlet-name>ListViewer</servlet-name>
    <servlet-class>com.fenalco.servlets.shopkeeper.ListViewer</servlet-class>
  </servlet>
  <servlet>
    <servlet-name>ListsHandler</servlet-name>
    <servlet-class>com.fenalco.servlets.shopkeeper.ListsHandler</servlet-class>
  </servlet>
  <servlet>
    <servlet-name>OrdersView</servlet-name>
    <servlet-class>com.fenalco.servlets.shopkeeper.OrdersView</servlet-class>
  </servlet>
  <servlet>
    <servlet-name>OrdersHandler</servlet-name>
    <servlet-class>com.fenalco.servlets.shopkeeper.OrdersHandler</servlet-class>
  </servlet>
  <servlet>
    <servlet-name>ComplaintView</servlet-name>
    <servlet-class>com.fenalco.servlets.shopkeeper.ComplaintView</servlet-class>
  </servlet>
  <servlet>
    <servlet-name>ComplaintHandler</servlet-name>
    <servlet-class>com.fenalco.servlets.shopkeeper.ComplaintHandler</servlet-class>
  </servlet>
  <servlet>
    <servlet-name>SuppliersView</servlet-name>
    <servlet-class>com.fenalco.servlets.shopkeeper.SuppliersView</servlet-class>
  </servlet>
  <servlet>
    <servlet-name>SupplierViewer</servlet-name>
    <servlet-class>com.fenalco.servlets.shopkeeper.SupplierViewer</servlet-class>
  </servlet>
  <servlet>
    <servlet-name>SuppliersHandler</servlet-name>
    <servlet-class>com.fenalco.servlets.shopkeeper.SuppliersHandler</servlet-class>
  </servlet>
  <servlet>
    <servlet-name>SuperOffersView</servlet-name>
    <servlet-class>com.fenalco.servlets.shopkeeper.SuperOffersView</servlet-class>
  </servlet>
  <servlet>
    <servlet-name>SuperOffersHandler</servlet-name>
    <servlet-class>com.fenalco.servlets.shopkeeper.SuperOffersHandler</servlet-class>
  </servlet>
  <servlet>
    <servlet-name>SuperOfferPurchaser</servlet-name>
    <servlet-class>com.fenalco.servlets.shopkeeper.SuperOfferPurchaser</servlet-class>
  </servlet>
  <servlet>
    <servlet-name>QuotesView</servlet-name>
    <servlet-class>com.fenalco.servlets.shopkeeper.QuotesView</servlet-class>
  </servlet>
  <servlet>
    <servlet-name>QuoteHanlder</servlet-name>
    <servlet-class>com.fenalco.servlets.shopkeeper.QuoteHandler</servlet-class>
  </servlet>
  <servlet>
    <servlet-name>QuotePurchaser</servlet-name>
    <servlet-class>com.fenalco.servlets.shopkeeper.QuotePurchaser</servlet-class>
  </servlet>
  <servlet>
    <servlet-name>CatalogueView</servlet-name>
    <servlet-class>com.fenalco.servlets.shopkeeper.CatalogueView</servlet-class>
  </servlet>
  <servlet>
    <servlet-name>CatalogueHandler</servlet-name>
    <servlet-class>com.fenalco.servlets.shopkeeper.CatalogueHandler</servlet-class>
  </servlet>
  <servlet>
    <servlet-name>ProductView</servlet-name>
    <servlet-class>com.fenalco.servlets.shopkeeper.ProductView</servlet-class>
  </servlet>
  <servlet>
    <servlet-name>StoresView</servlet-name>
    <servlet-class>com.fenalco.servlets.shopkeeper.StoresView</servlet-class>
  </servlet>
  <servlet>
    <servlet-name>StoresListener</servlet-name>
    <servlet-class>com.fenalco.servlets.shopkeeper.StoresListener</servlet-class>
  </servlet>
  <servlet>
    <servlet-name>StoresHandler</servlet-name>
    <servlet-class>com.fenalco.servlets.shopkeeper.StoresHandler</servlet-class>
  </servlet>
  <servlet>
    <servlet-name>CartView</servlet-name>
    <servlet-class>com.fenalco.servlets.shopkeeper.CartView</servlet-class>
  </servlet>
  <servlet>
    <servlet-name>CartListener</servlet-name>
    <servlet-class>com.fenalco.servlets.shopkeeper.CartListener</servlet-class>
  </servlet>
  <servlet>
    <servlet-name>CartHandler</servlet-name>
    <servlet-class>com.fenalco.servlets.shopkeeper.CartHandler</servlet-class>
  </servlet>
  <servlet>
    <servlet-name>ListSaver</servlet-name>
    <servlet-class>com.fenalco.servlets.shopkeeper.ListSaver</servlet-class>
  </servlet>
  <servlet>
    <servlet-name>QuantityModifier</servlet-name>
    <servlet-class>com.fenalco.servlets.shopkeeper.QuantityModifier</servlet-class>
  </servlet>
  <servlet>
    <servlet-name>QuoteSender</servlet-name>
    <servlet-class>com.fenalco.servlets.shopkeeper.QuoteSender</servlet-class>
  </servlet>
  <servlet>
    <servlet-name>OrderVerifier</servlet-name>
    <servlet-class>com.fenalco.servlets.shopkeeper.OrderVerifier</servlet-class>
  </servlet>
  <servlet>
    <servlet-name>OrderPurchaser</servlet-name>
    <servlet-class>com.fenalco.servlets.shopkeeper.OrderPurchaser</servlet-class>
  </servlet>
  <servlet>
    <servlet-name>OperatorsView</servlet-name>
    <servlet-class>com.fenalco.servlets.supplier.OperatorsView</servlet-class>
  </servlet>
  <servlet>
    <servlet-name>BillingView</servlet-name>
    <servlet-class>com.fenalco.servlets.supplier.BillingView</servlet-class>
  </servlet>
  <servlet>
    <servlet-name>CatalogueViewSupplier</servlet-name>
    <servlet-class>com.fenalco.servlets.supplier.CatalogueView</servlet-class>
  </servlet>
  <servlet>
    <servlet-name>ProductViewSupplier</servlet-name>
    <servlet-class>com.fenalco.servlets.supplier.ProductView</servlet-class>
  </servlet>
  <servlet>
    <servlet-name>CatalogueHandlerSupplier</servlet-name>
    <servlet-class>com.fenalco.servlets.supplier.CatalogueHandler</servlet-class>
  </servlet>
  <servlet>
    <servlet-name>QuotesViewSupplier</servlet-name>
    <servlet-class>com.fenalco.servlets.supplier.QuotesView</servlet-class>
  </servlet>
  <servlet>
    <servlet-name>QuoteViewer</servlet-name>
    <servlet-class>com.fenalco.servlets.supplier.QuoteViewer</servlet-class>
  </servlet>
  <servlet>
    <servlet-name>QuoteHandler</servlet-name>
    <servlet-class>com.fenalco.servlets.supplier.QuoteHandler</servlet-class>
  </servlet>
  <servlet>
    <servlet-name>OrdersViewSupplier</servlet-name>
    <servlet-class>com.fenalco.servlets.supplier.OrdersView</servlet-class>
  </servlet>
  <servlet>
    <servlet-name>OrderViewer</servlet-name>
    <servlet-class>com.fenalco.servlets.supplier.OrderViewer</servlet-class>
  </servlet>
  <servlet>
    <servlet-name>OrderHandler</servlet-name>
    <servlet-class>com.fenalco.servlets.supplier.OrderHandler</servlet-class>
  </servlet>
  <servlet>
    <servlet-name>CompanyDataView</servlet-name>
    <servlet-class>com.fenalco.servlets.supplier.CompanyDataView</servlet-class>
  </servlet>
  <servlet>
    <servlet-name>CompanyDataHandler</servlet-name>
    <servlet-class>com.fenalco.servlets.supplier.CompanyDataHandler</servlet-class>
  </servlet>
  <servlet>
    <servlet-name>CompanyUsersView</servlet-name>
    <servlet-class>com.fenalco.servlets.supplier.CompanyUsersView</servlet-class>
  </servlet>
  <servlet>
    <servlet-name>CompanyUsersListener</servlet-name>
    <servlet-class>com.fenalco.servlets.supplier.CompanyUsersListener</servlet-class>
  </servlet>
  <servlet>
    <servlet-name>CompanyUsersHandler</servlet-name>
    <servlet-class>com.fenalco.servlets.supplier.CompanyUsersHandler</servlet-class>
  </servlet>
  <servlet>
    <servlet-name>SupplierClientsView</servlet-name>
    <servlet-class>com.fenalco.servlets.supplier.SupplierClientsView</servlet-class>
  </servlet>
  <servlet>
    <servlet-name>StoresViewSupplier</servlet-name>
    <servlet-class>com.fenalco.servlets.supplier.StoresView</servlet-class>
  </servlet>
  <servlet>
    <servlet-name>ShopKeeperView</servlet-name>
    <servlet-class>com.fenalco.servlets.supplier.ShopKeeperView</servlet-class>
  </servlet>
  <servlet>
    <servlet-name>ShopKeepersView</servlet-name>
    <servlet-class>com.fenalco.servlets.supplier.ShopKeepersView</servlet-class>
  </servlet>
  <servlet>
    <servlet-name>SupplierClientsHandler</servlet-name>
    <servlet-class>com.fenalco.servlets.supplier.SupplierClientsHandler</servlet-class>
  </servlet>
  <servlet>
    <servlet-name>BackUpMaker</servlet-name>
    <servlet-class>com.fenalco.servlets.sysmanager.BackUpMaker</servlet-class>
  </servlet>
  <servlet>
    <servlet-name>SupplierBillingView</servlet-name>
    <servlet-class>com.fenalco.servlets.sysmanager.SupplierBillingView</servlet-class>
  </servlet>
  <servlet>
    <servlet-name>BillingMaker</servlet-name>
    <servlet-class>com.fenalco.servlets.sysmanager.BillingMaker</servlet-class>
  </servlet>
  <servlet>
    <servlet-name>BillListView</servlet-name>
    <servlet-class>com.fenalco.servlets.sysmanager.BillListView</servlet-class>
  </servlet>
  <servlet>
    <servlet-name>SupplierBillingHandler</servlet-name>
    <servlet-class>com.fenalco.servlets.sysmanager.SupplierBillingHandler</servlet-class>
  </servlet>
  <servlet>
    <servlet-name>BillView</servlet-name>
    <servlet-class>com.fenalco.servlets.sysmanager.BillView</servlet-class>
  </servlet>
  <servlet>
    <servlet-name>ComplaintTypeView</servlet-name>
    <servlet-class>com.fenalco.servlets.sysmanager.ComplaintTypeView</servlet-class>
  </servlet>
  <servlet>
    <servlet-name>ComplaintTypeListener</servlet-name>
    <servlet-class>com.fenalco.servlets.sysmanager.ComplaintTypeListener</servlet-class>
  </servlet>
  <servlet>
    <servlet-name>ComplaintTypeHandler</servlet-name>
    <servlet-class>com.fenalco.servlets.sysmanager.ComplaintTypeHandler</servlet-class>
  </servlet>
  <servlet>
    <servlet-name>SuperOfferListView</servlet-name>
    <servlet-class>com.fenalco.servlets.sysmanager.SuperOfferListView</servlet-class>
  </servlet>
  <servlet>
    <servlet-name>SuperOfferListener</servlet-name>
    <servlet-class>com.fenalco.servlets.sysmanager.SuperOfferListener</servlet-class>
  </servlet>
  <servlet>
    <servlet-name>SuperOfferHandler</servlet-name>
    <servlet-class>com.fenalco.servlets.sysmanager.SuperOfferHandler</servlet-class>
  </servlet>
  <servlet>
    <servlet-name>CompanyListView</servlet-name>
    <servlet-class>com.fenalco.servlets.sysmanager.CompanyListView</servlet-class>
  </servlet>
  <servlet>
    <servlet-name>CompanyListListener</servlet-name>
    <servlet-class>com.fenalco.servlets.sysmanager.CompanyListListener</servlet-class>
  </servlet>
  <servlet>
    <servlet-name>CompanyListHandler</servlet-name>
    <servlet-class>com.fenalco.servlets.sysmanager.CompanyListHandler</servlet-class>
  </servlet>
  <servlet>
    <servlet-name>ExclusiveClientView</servlet-name>
    <servlet-class>com.fenalco.servlets.sysmanager.ExclusiveClientView</servlet-class>
  </servlet>
  <servlet>
    <servlet-name>ExclusiveClientHandler</servlet-name>
    <servlet-class>com.fenalco.servlets.sysmanager.ExclusiveClientHandler</servlet-class>
  </servlet>
  <servlet>
    <servlet-name>ProductListView</servlet-name>
    <servlet-class>com.fenalco.servlets.sysmanager.ProductListView</servlet-class>
  </servlet>
  <servlet>
    <servlet-name>FileUploader</servlet-name>
    <servlet-class>com.fenalco.servlets.sysmanager.FileUploader</servlet-class>
  </servlet>
  <servlet>
    <servlet-name>SysManagerDataView</servlet-name>
    <servlet-class>com.fenalco.servlets.sysmanager.SysManagerDataView</servlet-class>
  </servlet>
  <servlet>
    <servlet-name>DataHandlerSysManager</servlet-name>
    <servlet-class>com.fenalco.servlets.sysmanager.DataHandler</servlet-class>
  </servlet>
  <servlet>
    <servlet-name>UserListView</servlet-name>
    <servlet-class>com.fenalco.servlets.sysmanager.UserListView</servlet-class>
  </servlet>
  <servlet>
    <servlet-name>UserListListener</servlet-name>
    <servlet-class>com.fenalco.servlets.sysmanager.UserListListener</servlet-class>
  </servlet>
  <servlet>
    <servlet-name>UserHandler</servlet-name>
    <servlet-class>com.fenalco.servlets.sysmanager.UserHandler</servlet-class>
  </servlet>
  <servlet>
    <servlet-name>ParameterListView</servlet-name>
    <servlet-class>com.fenalco.servlets.sysmanager.ParameterListView</servlet-class>
  </servlet>
  <servlet>
    <servlet-name>SimpleParameterHandler</servlet-name>
    <servlet-class>com.fenalco.servlets.sysmanager.SimpleParameterHandler</servlet-class>
  </servlet>
  <servlet>
    <servlet-name>ParameterListener</servlet-name>
    <servlet-class>com.fenalco.servlets.sysmanager.ParameterListener</servlet-class>
  </servlet>
  <servlet>
    <servlet-name>CallCenterSatrter</servlet-name>
    <servlet-class>com.fenalco.servlets.callcenter.CallCenterStarter</servlet-class>
  </servlet>
  <servlet>
    <servlet-name>SupplierStarter</servlet-name>
    <servlet-class>com.fenalco.servlets.supplier.SupplierStarter</servlet-class>
  </servlet>
  <servlet>
    <servlet-name>SysManagerStarter</servlet-name>
    <servlet-class>com.fenalco.servlets.sysmanager.SysManagerStarter</servlet-class>
  </servlet>
  <servlet>
    <servlet-name>Login</servlet-name>
    <servlet-class>com.fenalco.servlets.Login</servlet-class>
  </servlet>
  <servlet>
    <servlet-name>UserRegister</servlet-name>
    <servlet-class>com.fenalco.servlets.UserRegister</servlet-class>
  </servlet>
  <servlet>
    <servlet-name>PasswordReminder</servlet-name>
    <servlet-class>com.fenalco.servlets.PasswordReminder</servlet-class>
  </servlet>
  <servlet>
    <servlet-name>LoadregistryData</servlet-name>
    <servlet-class>com.fenalco.servlets.LoadRegistryData</servlet-class>
  </servlet>
  <servlet>
    <servlet-name>SuperOffersSupplierView</servlet-name>
    <servlet-class>com.fenalco.servlets.supplier.SuperOffersSupplierView</servlet-class>
  </servlet>
  <servlet>
    <servlet-name>SuperOfferSupplierListener</servlet-name>
    <servlet-class>com.fenalco.servlets.supplier.SuperOfferSupplierListener</servlet-class>
  </servlet>
  <servlet>
    <servlet-name>SuperOfferSupplierHandler</servlet-name>
    <servlet-class>com.fenalco.servlets.supplier.SuperOfferSupplierHandler</servlet-class>
  </servlet>
  <servlet>
    <servlet-name>CommunitiesHandler</servlet-name>
    <servlet-class>com.fenalco.servlets.supplier.CommunitiesHandler</servlet-class>
  </servlet>
  <servlet>
    <servlet-name>CommunityStoresView</servlet-name>
    <servlet-class>com.fenalco.servlets.supplier.CommunityStoresView</servlet-class>
  </servlet>
  <servlet>
    <servlet-name>ScaleHandler</servlet-name>
    <servlet-class>com.fenalco.servlets.supplier.ScaleHandler</servlet-class>
  </servlet>
  <servlet>
    <servlet-name>Logout</servlet-name>
    <servlet-class>com.fenalco.servlets.Logout</servlet-class>
  </servlet>
  <servlet>
    <servlet-name>CompanyView</servlet-name>
    <servlet-class>com.fenalco.servlets.sysmanager.CompanyView</servlet-class>
  </servlet>
  <servlet>
    <servlet-name>CommunitiesView</servlet-name>
    <servlet-class>com.fenalco.servlets.supplier.CommunitiesView</servlet-class>
  </servlet>
  <servlet>
    <servlet-name>CommunitiesListener</servlet-name>
    <servlet-class>com.fenalco.servlets.supplier.CommunitiesListener</servlet-class>
  </servlet>
  <servlet>
    <servlet-name>CommunityView</servlet-name>
    <servlet-class>com.fenalco.servlets.supplier.CommunityView</servlet-class>
  </servlet>
  <servlet>
    <servlet-name>CommunityHandler</servlet-name>
    <servlet-class>com.fenalco.servlets.supplier.CommunityHandler</servlet-class>
  </servlet>
  <servlet>
    <servlet-name>ProductScalesView</servlet-name>
    <servlet-class>com.fenalco.servlets.supplier.ProductScalesView</servlet-class>
  </servlet>
  <servlet>
    <servlet-name>ScaleView</servlet-name>
    <servlet-class>com.fenalco.servlets.supplier.ScaleView</servlet-class>
  </servlet>
  <servlet>
    <servlet-name>LogisticOperatorListView</servlet-name>
    <servlet-class>com.fenalco.servlets.sysmanager.LogisticOperatorListView</servlet-class>
  </servlet>
  <servlet>
    <servlet-name>LogisticOperatorListListener</servlet-name>
    <servlet-class>com.fenalco.servlets.sysmanager.LogisticOperatorListListener</servlet-class>
  </servlet>
  <servlet>
    <servlet-name>LogisticOperatorHandler</servlet-name>
    <servlet-class>com.fenalco.servlets.sysmanager.LogisticOperatorHandler</servlet-class>
  </servlet>
  <servlet>
    <servlet-name>BillingParametersView</servlet-name>
    <servlet-class>com.fenalco.servlets.sysmanager.BillingParametersView</servlet-class>
  </servlet>
  <servlet>
    <servlet-name>BillingParameterHandler</servlet-name>
    <servlet-class>com.fenalco.servlets.sysmanager.BillingParameterHandler</servlet-class>
  </servlet>
  <servlet>
    <servlet-name>OperatorView</servlet-name>
    <servlet-class>com.fenalco.servlets.supplier.OperatorView</servlet-class>
  </servlet>
  <servlet>
    <servlet-name>CountryList</servlet-name>
    <servlet-class>com.fenalco.servlets.sysmanager.CountryListView</servlet-class>
  </servlet>
  <servlet>
    <servlet-name>CountryListListener</servlet-name>
    <servlet-class>com.fenalco.servlets.sysmanager.CountryListListener</servlet-class>
  </servlet>
  <servlet>
    <servlet-name>ProvinceListView</servlet-name>
    <servlet-class>com.fenalco.servlets.sysmanager.ProvinceListView</servlet-class>
  </servlet>
  <servlet>
    <servlet-name>ProvinceListListener</servlet-name>
    <servlet-class>com.fenalco.servlets.sysmanager.ProvinceListListener</servlet-class>
  </servlet>
  <servlet>
    <servlet-name>CityListView</servlet-name>
    <servlet-class>com.fenalco.servlets.sysmanager.CityListView</servlet-class>
  </servlet>
  <servlet>
    <servlet-name>CityListListener</servlet-name>
    <servlet-class>com.fenalco.servlets.sysmanager.CityListListener</servlet-class>
  </servlet>
  <servlet>
    <servlet-name>ZoneListView</servlet-name>
    <servlet-class>com.fenalco.servlets.sysmanager.ZoneListView</servlet-class>
  </servlet>
  <servlet>
    <servlet-name>ZoneListListener</servlet-name>
    <servlet-class>com.fenalco.servlets.sysmanager.ZoneListListener</servlet-class>
  </servlet>
  <servlet>
    <servlet-name>NeighbourhoodListView</servlet-name>
    <servlet-class>com.fenalco.servlets.sysmanager.NeighbourhoodListView</servlet-class>
  </servlet>
  <servlet>
    <servlet-name>NeighbourhoodListListener</servlet-name>
    <servlet-class>com.fenalco.servlets.sysmanager.NeighbourhoodListListener</servlet-class>
  </servlet>
  <servlet>
    <servlet-name>OrderListView</servlet-name>
    <servlet-class>com.fenalco.servlets.sysmanager.OrderListView</servlet-class>
  </servlet>
  <servlet>
    <servlet-name>OrderListHandler</servlet-name>
    <servlet-class>com.fenalco.servlets.sysmanager.OrderListHandler</servlet-class>
  </servlet>
  <servlet>
    <servlet-name>OrderView</servlet-name>
    <servlet-class>com.fenalco.servlets.sysmanager.OrderView</servlet-class>
  </servlet>
  <servlet>
    <servlet-name>HelpItemsView</servlet-name>
    <servlet-class>com.fenalco.servlets.sysmanager.HelpItemsView</servlet-class>
  </servlet>
  <servlet>
    <servlet-name>HelpItemViewer</servlet-name>
    <servlet-class>com.fenalco.servlets.sysmanager.HelpItemViewer</servlet-class>
  </servlet>
  <servlet>
    <servlet-name>HelpHandler</servlet-name>
    <servlet-class>com.fenalco.servlets.sysmanager.HelpHandler</servlet-class>
  </servlet>
  <servlet>
    <servlet-name>MessagesView</servlet-name>
    <servlet-class>com.fenalco.servlets.sysmanager.MessagesView</servlet-class>
  </servlet>
  <servlet>
    <servlet-name>MessageViewer</servlet-name>
    <servlet-class>com.fenalco.servlets.sysmanager.MessageViewer</servlet-class>
  </servlet>
  <servlet>
    <servlet-name>MessagesHandler</servlet-name>
    <servlet-class>com.fenalco.servlets.MessagesHandler</servlet-class>
  </servlet>
  <servlet>
    <servlet-name>HelpLoader</servlet-name>
    <servlet-class>com.fenalco.servlets.HelpLoader</servlet-class>
  </servlet>
  <servlet>
    <servlet-name>ScaleViewShopKeeper</servlet-name>
    <servlet-class>com.fenalco.servlets.shopkeeper.ScaleView</servlet-class>
  </servlet>
  <servlet>
    <servlet-name>SuperOfferLoader</servlet-name>
    <servlet-class>com.fenalco.servlets.supplier.SuperOfferLoader</servlet-class>
  </servlet>
  <servlet>
    <servlet-name>ImageUploader</servlet-name>
    <servlet-class>com.fenalco.servlets.supplier.ImageUploader</servlet-class>
  </servlet>
  <servlet>
    <servlet-name>SectionListView</servlet-name>
    <servlet-class>com.fenalco.servlets.sysmanager.SectionListView</servlet-class>
  </servlet>
  <servlet>
    <servlet-name>SectionListListener</servlet-name>
    <servlet-class>com.fenalco.servlets.sysmanager.SectionListListener</servlet-class>
  </servlet>
  <servlet>
    <servlet-name>SectionHandler</servlet-name>
    <servlet-class>com.fenalco.servlets.sysmanager.SectionHandler</servlet-class>
  </servlet>
  <servlet>
    <servlet-name>SectorListView</servlet-name>
    <servlet-class>com.fenalco.servlets.sysmanager.SectorListView</servlet-class>
  </servlet>
  <servlet>
    <servlet-name>SectorListHandler</servlet-name>
    <servlet-class>com.fenalco.servlets.sysmanager.SectorListHandler</servlet-class>
  </servlet>
  <servlet>
    <servlet-name>CiiuListView</servlet-name>
    <servlet-class>com.fenalco.servlets.sysmanager.CiiuListView</servlet-class>
  </servlet>
  <servlet>
    <servlet-name>CiiuListHandler</servlet-name>
    <servlet-class>com.fenalco.servlets.sysmanager.CiiuListHandler</servlet-class>
  </servlet>
  <servlet>
    <servlet-name>ImageUploaderSysManager</servlet-name>
    <servlet-class>com.fenalco.servlets.sysmanager.ImageUploader</servlet-class>
  </servlet>
  <servlet>
    <servlet-name>StartCompanyHandler</servlet-name>
    <servlet-class>com.fenalco.servlets.sysmanager.NewCompanyHandler</servlet-class>
  </servlet>
  <servlet>
    <servlet-name>PositionListView</servlet-name>
    <servlet-class>com.fenalco.servlets.sysmanager.PositionListView</servlet-class>
  </servlet>
  <servlet>
    <servlet-name>PositionHandler</servlet-name>
    <servlet-class>com.fenalco.servlets.sysmanager.PositionHandler</servlet-class>
  </servlet>
  <servlet>
    <servlet-name>LoadOrderReportData</servlet-name>
    <servlet-class>com.fenalco.servlets.sysmanager.LoadOrderReportData</servlet-class>
  </servlet>
  <servlet>
    <servlet-name>StoreListView</servlet-name>
    <servlet-class>com.fenalco.servlets.sysmanager.StoreListView</servlet-class>
  </servlet>
  <servlet>
    <servlet-name>ProductViewShopkeeper</servlet-name>
    <servlet-class>com.fenalco.servlets.shopkeeper.ProductView</servlet-class>
  </servlet>
  <servlet>
    <servlet-name>TopReportView</servlet-name>
    <servlet-class>com.fenalco.servlets.sysmanager.TopReportView</servlet-class>
  </servlet>
  <servlet>
    <servlet-name>ContactHandler</servlet-name>
    <servlet-class>com.fenalco.servlets.ContactHandler</servlet-class>
  </servlet>
  <servlet>
    <servlet-name>PaymentMethodListView</servlet-name>
    <servlet-class>com.fenalco.servlets.supplier.PaymentMethodListView</servlet-class>
  </servlet>
  <servlet>
    <servlet-name>PaymentMethodListListener</servlet-name>
    <servlet-class>com.fenalco.servlets.supplier.PaymentMethodListListener</servlet-class>
  </servlet>
  <servlet>
    <servlet-name>PaymentMethodHandler</servlet-name>
    <servlet-class>com.fenalco.servlets.supplier.PaymentMethodHandler</servlet-class>
  </servlet>
  <servlet>
    <servlet-name>PaymentMethodListShopkeeper</servlet-name>
    <servlet-class>com.fenalco.servlets.supplier.PaymentMethodListShopkeeper</servlet-class>
  </servlet>
  <servlet>
    <servlet-name>PaymentMethodListHandlerShopkeeper</servlet-name>
    <servlet-class>com.fenalco.servlets.supplier.PaymentMethodListHandlerShopkeeper</servlet-class>
  </servlet>
  <servlet>
    <servlet-name>PaymentMethodListCommunity</servlet-name>
    <servlet-class>com.fenalco.servlets.supplier.PaymentMethodListCommunity</servlet-class>
  </servlet>
  <servlet>
    <servlet-name>PaymentMethodListHandlerCommunity</servlet-name>
    <servlet-class>com.fenalco.servlets.supplier.PaymentMethodListHandlerCommunity</servlet-class>
  </servlet>
  <servlet>
    <servlet-name>TopReportViewSupplier</servlet-name>
    <servlet-class>com.fenalco.servlets.supplier.TopReportViewSupplier</servlet-class>
  </servlet>
  <servlet>
    <servlet-name>ShopKeeperReports</servlet-name>
    <servlet-class>com.fenalco.servlets.shopkeeper.ShopKeeperReports</servlet-class>
  </servlet>
  <servlet>
    <servlet-name>TopReportsView</servlet-name>
    <servlet-class>com.fenalco.servlets.shopkeeper.TopReportsView</servlet-class>
  </servlet>
  <servlet>
    <servlet-name>StoreViewSysManager</servlet-name>
    <servlet-class>com.fenalco.servlets.sysmanager.StoreView</servlet-class>
  </servlet>
  <servlet>
    <servlet-name>NewCompanyListener</servlet-name>
    <servlet-class>com.fenalco.servlets.sysmanager.NewCompanyListener</servlet-class>
  </servlet>
  <servlet>
    <servlet-name>CompaniesReport</servlet-name>
    <servlet-class>com.fenalco.servlets.sysmanager.reports.CompaniesReport</servlet-class>
  </servlet>
  <servlet>
    <servlet-name>OrdersReport</servlet-name>
    <servlet-class>com.fenalco.servlets.sysmanager.reports.OrdersReport</servlet-class>
  </servlet>
  <servlet>
    <servlet-name>CategoriesReport</servlet-name>
    <servlet-class>com.fenalco.servlets.sysmanager.reports.CategoriesReport</servlet-class>
  </servlet>
  <servlet>
    <servlet-name>GraphicDisplayer</servlet-name>
    <servlet-class>com.fenalco.servlets.GraphicDisplayer</servlet-class>
  </servlet>
  <servlet>
    <servlet-name>ComparativeReportSelection</servlet-name>
    <servlet-class>com.fenalco.servlets.sysmanager.reports.ComparativeReportSelection</servlet-class>
  </servlet>
  <servlet>
    <servlet-name>ComparativeSuppliersReport</servlet-name>
    <servlet-class>com.fenalco.servlets.sysmanager.reports.ComparativeSuppliersReport</servlet-class>
  </servlet>
  <servlet>
    <servlet-name>ComparativeCitiesReport</servlet-name>
    <servlet-class>com.fenalco.servlets.sysmanager.reports.ComparativeCitiesReport</servlet-class>
  </servlet>
  <servlet>
    <servlet-name>NoOrderShopKeeper</servlet-name>
    <servlet-class>com.fenalco.servlets.sysmanager.reports.NoOrderShopKeeper</servlet-class>
  </servlet>
  <servlet>
    <servlet-name>BehaviorReport</servlet-name>
    <servlet-class>com.fenalco.servlets.sysmanager.reports.BehaviorReport</servlet-class>
  </servlet>
  <servlet>
    <servlet-name>SupplierReports</servlet-name>
    <servlet-class>com.fenalco.servlets.sysmanager.reports.SupplierReports</servlet-class>
  </servlet>
  <servlet-mapping>
    <servlet-name>DBTest</servlet-name>
    <url-pattern>/DBTest</url-pattern>
  </servlet-mapping>
  <servlet-mapping>
    <servlet-name>ExternalUserValidator</servlet-name>
    <url-pattern>/callcenter/validarusuarioexterno</url-pattern>
  </servlet-mapping>
  <servlet-mapping>
    <servlet-name>ShopKeeperStarter</servlet-name>
    <url-pattern>/minorista/minorista</url-pattern>
  </servlet-mapping>
  <servlet-mapping>
    <servlet-name>DataView</servlet-name>
    <url-pattern>/minorista/misdatos</url-pattern>
  </servlet-mapping>
  <servlet-mapping>
    <servlet-name>DataHandler</servlet-name>
    <url-pattern>/minorista/actualizardatos</url-pattern>
  </servlet-mapping>
  <servlet-mapping>
    <servlet-name>ListsView</servlet-name>
    <url-pattern>/minorista/mislistas</url-pattern>
  </servlet-mapping>
  <servlet-mapping>
    <servlet-name>ListViewer</servlet-name>
    <url-pattern>/minorista/verlista</url-pattern>
  </servlet-mapping>
  <servlet-mapping>
    <servlet-name>ListsHandler</servlet-name>
    <url-pattern>/minorista/administrarlista</url-pattern>
  </servlet-mapping>
  <servlet-mapping>
    <servlet-name>OrdersView</servlet-name>
    <url-pattern>/minorista/mispedidos</url-pattern>
  </servlet-mapping>
  <servlet-mapping>
    <servlet-name>OrdersHandler</servlet-name>
    <url-pattern>/minorista/administrarpedido</url-pattern>
  </servlet-mapping>
  <servlet-mapping>
    <servlet-name>ComplaintView</servlet-name>
    <url-pattern>/minorista/reclamos</url-pattern>
  </servlet-mapping>
  <servlet-mapping>
    <servlet-name>ComplaintHandler</servlet-name>
    <url-pattern>/minorista/registrarqueja</url-pattern>
  </servlet-mapping>
  <servlet-mapping>
    <servlet-name>SuppliersView</servlet-name>
    <url-pattern>/minorista/misproveedores</url-pattern>
  </servlet-mapping>
  <servlet-mapping>
    <servlet-name>SupplierViewer</servlet-name>
    <url-pattern>/minorista/verproveedor</url-pattern>
  </servlet-mapping>
  <servlet-mapping>
    <servlet-name>SuppliersHandler</servlet-name>
    <url-pattern>/minorista/administrarproveedores</url-pattern>
  </servlet-mapping>
  <servlet-mapping>
    <servlet-name>SuperOffersView</servlet-name>
    <url-pattern>/minorista/superofertas</url-pattern>
  </servlet-mapping>
  <servlet-mapping>
    <servlet-name>SuperOffersHandler</servlet-name>
    <url-pattern>/minorista/versuperoferta</url-pattern>
  </servlet-mapping>
  <servlet-mapping>
    <servlet-name>SuperOfferPurchaser</servlet-name>
    <url-pattern>/minorista/comprarsuperoferta</url-pattern>
  </servlet-mapping>
  <servlet-mapping>
    <servlet-name>QuotesView</servlet-name>
    <url-pattern>/minorista/miscotizaciones</url-pattern>
  </servlet-mapping>
  <servlet-mapping>
    <servlet-name>QuoteHanlder</servlet-name>
    <url-pattern>/minorista/administrarcotizacion</url-pattern>
  </servlet-mapping>
  <servlet-mapping>
    <servlet-name>QuotePurchaser</servlet-name>
    <url-pattern>/minorista/comprarcotizacion</url-pattern>
  </servlet-mapping>
  <servlet-mapping>
    <servlet-name>CatalogueView</servlet-name>
    <url-pattern>/minorista/catalogo</url-pattern>
  </servlet-mapping>
  <servlet-mapping>
    <servlet-name>CatalogueHandler</servlet-name>
    <url-pattern>/minorista/administrarcatalogo</url-pattern>
  </servlet-mapping>
  <servlet-mapping>
    <servlet-name>ProductView</servlet-name>
    <url-pattern>/minorista/verproducto</url-pattern>
  </servlet-mapping>
  <servlet-mapping>
    <servlet-name>StoresView</servlet-name>
    <url-pattern>/minorista/misestablecimientos</url-pattern>
  </servlet-mapping>
  <servlet-mapping>
    <servlet-name>StoresListener</servlet-name>
    <url-pattern>/minorista/actualizarestablecimientos</url-pattern>
  </servlet-mapping>
  <servlet-mapping>
    <servlet-name>StoresHandler</servlet-name>
    <url-pattern>/minorista/administrarestablecimientos</url-pattern>
  </servlet-mapping>
  <servlet-mapping>
    <servlet-name>CartView</servlet-name>
    <url-pattern>/minorista/micarrito</url-pattern>
  </servlet-mapping>
  <servlet-mapping>
    <servlet-name>CartListener</servlet-name>
    <url-pattern>/minorista/actualizarcarrito</url-pattern>
  </servlet-mapping>
  <servlet-mapping>
    <servlet-name>CartHandler</servlet-name>
    <url-pattern>/minorista/administrarcarrito</url-pattern>
  </servlet-mapping>
  <servlet-mapping>
    <servlet-name>ListSaver</servlet-name>
    <url-pattern>/minorista/guardarlista</url-pattern>
  </servlet-mapping>
  <servlet-mapping>
    <servlet-name>QuantityModifier</servlet-name>
    <url-pattern>/minorista/modificarcantidad</url-pattern>
  </servlet-mapping>
  <servlet-mapping>
    <servlet-name>QuoteSender</servlet-name>
    <url-pattern>/minorista/generarcotizacion</url-pattern>
  </servlet-mapping>
  <servlet-mapping>
    <servlet-name>OrderVerifier</servlet-name>
    <url-pattern>/minorista/verificarpedido</url-pattern>
  </servlet-mapping>
  <servlet-mapping>
    <servlet-name>OrderPurchaser</servlet-name>
    <url-pattern>/minorista/hacerpedido</url-pattern>
  </servlet-mapping>
  <servlet-mapping>
    <servlet-name>OperatorsView</servlet-name>
    <url-pattern>/proveedor/operadoreslogisticos</url-pattern>
  </servlet-mapping>
  <servlet-mapping>
    <servlet-name>BillingView</servlet-name>
    <url-pattern>/proveedor/estadofacturacion</url-pattern>
  </servlet-mapping>
  <servlet-mapping>
    <servlet-name>CatalogueViewSupplier</servlet-name>
    <url-pattern>/proveedor/catalogoproveedor</url-pattern>
  </servlet-mapping>
  <servlet-mapping>
    <servlet-name>ProductViewSupplier</servlet-name>
    <url-pattern>/proveedor/verproducto</url-pattern>
  </servlet-mapping>
  <servlet-mapping>
    <servlet-name>CatalogueHandlerSupplier</servlet-name>
    <url-pattern>/proveedor/admincatalogoproveedor</url-pattern>
  </servlet-mapping>
  <servlet-mapping>
    <servlet-name>QuotesViewSupplier</servlet-name>
    <url-pattern>/proveedor/cotizacionesproveedor</url-pattern>
  </servlet-mapping>
  <servlet-mapping>
    <servlet-name>QuoteViewer</servlet-name>
    <url-pattern>/proveedor/vercotizacion</url-pattern>
  </servlet-mapping>
  <servlet-mapping>
    <servlet-name>QuoteHandler</servlet-name>
    <url-pattern>/proveedor/admincotizacionproveedor</url-pattern>
  </servlet-mapping>
  <servlet-mapping>
    <servlet-name>OrdersViewSupplier</servlet-name>
    <url-pattern>/proveedor/ordenesdecompra</url-pattern>
  </servlet-mapping>
  <servlet-mapping>
    <servlet-name>OrderViewer</servlet-name>
    <url-pattern>/proveedor/verordencompra</url-pattern>
  </servlet-mapping>
  <servlet-mapping>
    <servlet-name>OrderHandler</servlet-name>
    <url-pattern>/proveedor/administrarordencompra</url-pattern>
  </servlet-mapping>
  <servlet-mapping>
    <servlet-name>CompanyDataView</servlet-name>
    <url-pattern>/proveedor/datosempresa</url-pattern>
  </servlet-mapping>
  <servlet-mapping>
    <servlet-name>CompanyDataHandler</servlet-name>
    <url-pattern>/proveedor/actualizardatosempresa</url-pattern>
  </servlet-mapping>
  <servlet-mapping>
    <servlet-name>CompanyUsersView</servlet-name>
    <url-pattern>/proveedor/usuariosempresa</url-pattern>
  </servlet-mapping>
  <servlet-mapping>
    <servlet-name>CompanyUsersListener</servlet-name>
    <url-pattern>/proveedor/actualizarusuariosempresa</url-pattern>
  </servlet-mapping>
  <servlet-mapping>
    <servlet-name>CompanyUsersHandler</servlet-name>
    <url-pattern>/proveedor/administrarusuariosempresa</url-pattern>
  </servlet-mapping>
  <servlet-mapping>
    <servlet-name>SupplierClientsView</servlet-name>
    <url-pattern>/proveedor/clientesproveedor</url-pattern>
  </servlet-mapping>
  <servlet-mapping>
    <servlet-name>StoresViewSupplier</servlet-name>
    <url-pattern>/proveedor/verestablecimientos</url-pattern>
  </servlet-mapping>
  <servlet-mapping>
    <servlet-name>ShopKeeperView</servlet-name>
    <url-pattern>/proveedor/verminorista</url-pattern>
  </servlet-mapping>
  <servlet-mapping>
    <servlet-name>ShopKeepersView</servlet-name>
    <url-pattern>/proveedor/verminoristas</url-pattern>
  </servlet-mapping>
  <servlet-mapping>
    <servlet-name>SupplierClientsHandler</servlet-name>
    <url-pattern>/proveedor/adminclientesproveedor</url-pattern>
  </servlet-mapping>
  <servlet-mapping>
    <servlet-name>BackUpMaker</servlet-name>
    <url-pattern>/administrador/generarbackup</url-pattern>
  </servlet-mapping>
  <servlet-mapping>
    <servlet-name>SupplierBillingView</servlet-name>
    <url-pattern>/administrador/listaproveedoresfacturacion</url-pattern>
  </servlet-mapping>
  <servlet-mapping>
    <servlet-name>BillingMaker</servlet-name>
    <url-pattern>/administrador/generarfactura</url-pattern>
  </servlet-mapping>
  <servlet-mapping>
    <servlet-name>BillListView</servlet-name>
    <url-pattern>/administrador/facturacionproveedor</url-pattern>
  </servlet-mapping>
  <servlet-mapping>
    <servlet-name>SupplierBillingHandler</servlet-name>
    <url-pattern>/administrador/administrarfacturacionproveedor</url-pattern>
  </servlet-mapping>
  <servlet-mapping>
    <servlet-name>BillView</servlet-name>
    <url-pattern>/administrador/verfactura</url-pattern>
  </servlet-mapping>
  <servlet-mapping>
    <servlet-name>ComplaintTypeView</servlet-name>
    <url-pattern>/administrador/tiposreclamo</url-pattern>
  </servlet-mapping>
  <servlet-mapping>
    <servlet-name>ComplaintTypeListener</servlet-name>
    <url-pattern>/administrador/actualizartiposreclamo</url-pattern>
  </servlet-mapping>
  <servlet-mapping>
    <servlet-name>ComplaintTypeHandler</servlet-name>
    <url-pattern>/administrador/administrartiposreclamo</url-pattern>
  </servlet-mapping>
  <servlet-mapping>
    <servlet-name>SuperOfferListView</servlet-name>
    <url-pattern>/administrador/listasuperofertas</url-pattern>
  </servlet-mapping>
  <servlet-mapping>
    <servlet-name>SuperOfferListener</servlet-name>
    <url-pattern>/administrador/actualizarsuperoferta</url-pattern>
  </servlet-mapping>
  <servlet-mapping>
    <servlet-name>SuperOfferHandler</servlet-name>
    <url-pattern>/administrador/administrarsuperoferta</url-pattern>
  </servlet-mapping>
  <servlet-mapping>
    <servlet-name>CompanyListView</servlet-name>
    <url-pattern>/administrador/listaempresas</url-pattern>
  </servlet-mapping>
  <servlet-mapping>
    <servlet-name>CompanyListListener</servlet-name>
    <url-pattern>/administrador/actualizarempresas</url-pattern>
  </servlet-mapping>
  <servlet-mapping>
    <servlet-name>CompanyListHandler</servlet-name>
    <url-pattern>/administrador/administrarempresas</url-pattern>
  </servlet-mapping>
  <servlet-mapping>
    <servlet-name>ExclusiveClientView</servlet-name>
    <url-pattern>/administrador/minoristasexclusivos</url-pattern>
  </servlet-mapping>
  <servlet-mapping>
    <servlet-name>ExclusiveClientHandler</servlet-name>
    <url-pattern>/administrador/administrarexclusivos</url-pattern>
  </servlet-mapping>
  <servlet-mapping>
    <servlet-name>ProductListView</servlet-name>
    <url-pattern>/administrador/listaproductos</url-pattern>
  </servlet-mapping>
  <servlet-mapping>
    <servlet-name>FileUploader</servlet-name>
    <url-pattern>/administrador/cargararchivo</url-pattern>
  </servlet-mapping>
  <servlet-mapping>
    <servlet-name>SysManagerDataView</servlet-name>
    <url-pattern>/administrador/datosadministrador</url-pattern>
  </servlet-mapping>
  <servlet-mapping>
    <servlet-name>DataHandlerSysManager</servlet-name>
    <url-pattern>/administrador/actualizardatos</url-pattern>
  </servlet-mapping>
  <servlet-mapping>
    <servlet-name>UserListView</servlet-name>
    <url-pattern>/administrador/listausuarios</url-pattern>
  </servlet-mapping>
  <servlet-mapping>
    <servlet-name>UserListListener</servlet-name>
    <url-pattern>/administrador/actualizarlistausuarios</url-pattern>
  </servlet-mapping>
  <servlet-mapping>
    <servlet-name>UserHandler</servlet-name>
    <url-pattern>/administrador/administrarusuarios</url-pattern>
  </servlet-mapping>
  <servlet-mapping>
    <servlet-name>ParameterListView</servlet-name>
    <url-pattern>/administrador/listaparametros</url-pattern>
  </servlet-mapping>
  <servlet-mapping>
    <servlet-name>SimpleParameterHandler</servlet-name>
    <url-pattern>/administrador/actualizarparametrosimple</url-pattern>
  </servlet-mapping>
  <servlet-mapping>
    <servlet-name>ParameterListener</servlet-name>
    <url-pattern>/administrador/actualizarparametros</url-pattern>
  </servlet-mapping>
  <servlet-mapping>
    <servlet-name>CallCenterSatrter</servlet-name>
    <url-pattern>/callcenter/callcenter</url-pattern>
  </servlet-mapping>
  <servlet-mapping>
    <servlet-name>SupplierStarter</servlet-name>
    <url-pattern>/proveedor/proveedor</url-pattern>
  </servlet-mapping>
  <servlet-mapping>
    <servlet-name>SysManagerStarter</servlet-name>
    <url-pattern>/administrador/administrador</url-pattern>
  </servlet-mapping>
  <servlet-mapping>
    <servlet-name>Login</servlet-name>
    <url-pattern>/login</url-pattern>
  </servlet-mapping>
  <servlet-mapping>
    <servlet-name>UserRegister</servlet-name>
    <url-pattern>/registrarusuario</url-pattern>
  </servlet-mapping>
  <servlet-mapping>
    <servlet-name>PasswordReminder</servlet-name>
    <url-pattern>/recordarcontrasena</url-pattern>
  </servlet-mapping>
  <servlet-mapping>
    <servlet-name>LoadregistryData</servlet-name>
    <url-pattern>/cargarregistro</url-pattern>
  </servlet-mapping>
  <servlet-mapping>
    <servlet-name>SuperOffersSupplierView</servlet-name>
    <url-pattern>/proveedor/superofertasproveedor</url-pattern>
  </servlet-mapping>
  <servlet-mapping>
    <servlet-name>SuperOfferSupplierListener</servlet-name>
    <url-pattern>/proveedor/actualizarsuperofertaproveedor</url-pattern>
  </servlet-mapping>
  <servlet-mapping>
    <servlet-name>SuperOfferSupplierHandler</servlet-name>
    <url-pattern>/proveedor/administrarsuperofertaproveedor</url-pattern>
  </servlet-mapping>
  <servlet-mapping>
    <servlet-name>CommunitiesHandler</servlet-name>
    <url-pattern>/supplier/administrarcomunidades</url-pattern>
  </servlet-mapping>
  <servlet-mapping>
    <servlet-name>CommunityStoresView</servlet-name>
    <url-pattern>/proveedor/establecimientos</url-pattern>
  </servlet-mapping>
  <servlet-mapping>
    <servlet-name>ScaleHandler</servlet-name>
    <url-pattern>/proveedor/administrarescala</url-pattern>
  </servlet-mapping>
  <servlet-mapping>
    <servlet-name>Logout</servlet-name>
    <url-pattern>/logout</url-pattern>
  </servlet-mapping>
  <servlet-mapping>
    <servlet-name>CompanyView</servlet-name>
    <url-pattern>/administrador/verempresa</url-pattern>
  </servlet-mapping>
  <servlet-mapping>
    <servlet-name>CommunitiesView</servlet-name>
    <url-pattern>/proveedor/comunidades</url-pattern>
  </servlet-mapping>
  <servlet-mapping>
    <servlet-name>CommunitiesListener</servlet-name>
    <url-pattern>/proveedor/actualizarcomunidades</url-pattern>
  </servlet-mapping>
  <servlet-mapping>
    <servlet-name>CommunitiesHandler</servlet-name>
    <url-pattern>/proveedor/administrarcomunidades</url-pattern>
  </servlet-mapping>
  <servlet-mapping>
    <servlet-name>CommunityView</servlet-name>
    <url-pattern>/proveedor/comunidad</url-pattern>
  </servlet-mapping>
  <servlet-mapping>
    <servlet-name>CommunityHandler</servlet-name>
    <url-pattern>/proveedor/administrarcomunidad</url-pattern>
  </servlet-mapping>
  <servlet-mapping>
    <servlet-name>ProductScalesView</servlet-name>
    <url-pattern>/proveedor/productoescalas</url-pattern>
  </servlet-mapping>
  <servlet-mapping>
    <servlet-name>ScaleView</servlet-name>
    <url-pattern>/proveedor/escala</url-pattern>
  </servlet-mapping>
  <servlet-mapping>
    <servlet-name>LogisticOperatorListView</servlet-name>
    <url-pattern>/administrador/listaoperadoreslogisticos</url-pattern>
  </servlet-mapping>
  <servlet-mapping>
    <servlet-name>LogisticOperatorListListener</servlet-name>
    <url-pattern>/administrador/actualizaroperadoreslogisticos</url-pattern>
  </servlet-mapping>
  <servlet-mapping>
    <servlet-name>LogisticOperatorHandler</servlet-name>
    <url-pattern>/administrador/administraroperadorlogistico</url-pattern>
  </servlet-mapping>
  <servlet-mapping>
    <servlet-name>BillingParametersView</servlet-name>
    <url-pattern>/administrador/parametrosfacturacion</url-pattern>
  </servlet-mapping>
  <servlet-mapping>
    <servlet-name>BillingParameterHandler</servlet-name>
    <url-pattern>/administrador/administrarparametrosfacturacion</url-pattern>
  </servlet-mapping>
  <servlet-mapping>
    <servlet-name>OperatorView</servlet-name>
    <url-pattern>/proveedor/operadorlogistico</url-pattern>
  </servlet-mapping>
  <servlet-mapping>
    <servlet-name>CountryList</servlet-name>
    <url-pattern>/administrador/listapaises</url-pattern>
  </servlet-mapping>
  <servlet-mapping>
    <servlet-name>CountryListListener</servlet-name>
    <url-pattern>/administrador/actualizarpaises</url-pattern>
  </servlet-mapping>
  <servlet-mapping>
    <servlet-name>ProvinceListView</servlet-name>
    <url-pattern>/administrador/listadepartamentos</url-pattern>
  </servlet-mapping>
  <servlet-mapping>
    <servlet-name>ProvinceListListener</servlet-name>
    <url-pattern>/administrador/actualizardepartamentos</url-pattern>
  </servlet-mapping>
  <servlet-mapping>
    <servlet-name>CityListView</servlet-name>
    <url-pattern>/administrador/listaciudades</url-pattern>
  </servlet-mapping>
  <servlet-mapping>
    <servlet-name>CityListListener</servlet-name>
    <url-pattern>/administrador/actualizarciudades</url-pattern>
  </servlet-mapping>
  <servlet-mapping>
    <servlet-name>ZoneListView</servlet-name>
    <url-pattern>/administrador/listazonas</url-pattern>
  </servlet-mapping>
  <servlet-mapping>
    <servlet-name>ZoneListListener</servlet-name>
    <url-pattern>/administrador/actualizarzonas</url-pattern>
  </servlet-mapping>
  <servlet-mapping>
    <servlet-name>NeighbourhoodListView</servlet-name>
    <url-pattern>/administrador/listabarrios</url-pattern>
  </servlet-mapping>
  <servlet-mapping>
    <servlet-name>NeighbourhoodListListener</servlet-name>
    <url-pattern>/administrador/actualizarbarrios</url-pattern>
  </servlet-mapping>
  <servlet-mapping>
    <servlet-name>OrderListView</servlet-name>
    <url-pattern>/administrador/listapedidos</url-pattern>
  </servlet-mapping>
  <servlet-mapping>
    <servlet-name>OrderListHandler</servlet-name>
    <url-pattern>/administrador/administrarpedidos</url-pattern>
  </servlet-mapping>
  <servlet-mapping>
    <servlet-name>OrderView</servlet-name>
    <url-pattern>/administrador/verpedido</url-pattern>
  </servlet-mapping>
  <servlet-mapping>
    <servlet-name>HelpItemsView</servlet-name>
    <url-pattern>/administrador/itemsayuda</url-pattern>
  </servlet-mapping>
  <servlet-mapping>
    <servlet-name>HelpItemViewer</servlet-name>
    <url-pattern>/administrador/veritemayuda</url-pattern>
  </servlet-mapping>
  <servlet-mapping>
    <servlet-name>HelpHandler</servlet-name>
    <url-pattern>/administrador/administrarayuda</url-pattern>
  </servlet-mapping>
  <servlet-mapping>
    <servlet-name>MessagesView</servlet-name>
    <url-pattern>/administrador/mensajes</url-pattern>
  </servlet-mapping>
  <servlet-mapping>
    <servlet-name>MessageViewer</servlet-name>
    <url-pattern>/administrador/vermensaje</url-pattern>
  </servlet-mapping>
  <servlet-mapping>
    <servlet-name>MessagesHandler</servlet-name>
    <url-pattern>/administrador/administrarmensajes</url-pattern>
  </servlet-mapping>
  <servlet-mapping>
    <servlet-name>HelpLoader</servlet-name>
    <url-pattern>/ayuda</url-pattern>
  </servlet-mapping>
  <servlet-mapping>
    <servlet-name>ScaleViewShopKeeper</servlet-name>
    <url-pattern>/minorista/verescala</url-pattern>
  </servlet-mapping>
  <servlet-mapping>
    <servlet-name>SuperOfferLoader</servlet-name>
    <url-pattern>/proveedor/cargarimagensuperoferta</url-pattern>
  </servlet-mapping>
  <servlet-mapping>
    <servlet-name>ImageUploader</servlet-name>
    <url-pattern>/proveedor/cargarimagen</url-pattern>
  </servlet-mapping>
  <servlet-mapping>
    <servlet-name>SectionListView</servlet-name>
    <url-pattern>/administrador/listasecciones</url-pattern>
  </servlet-mapping>
  <servlet-mapping>
    <servlet-name>SectionListListener</servlet-name>
    <url-pattern>/administrador/actualizarsecciones</url-pattern>
  </servlet-mapping>
  <servlet-mapping>
    <servlet-name>SectionHandler</servlet-name>
    <url-pattern>/administrador/administrarsecciones</url-pattern>
  </servlet-mapping>
  <servlet-mapping>
    <servlet-name>SectorListView</servlet-name>
    <url-pattern>/administrador/listasectores</url-pattern>
  </servlet-mapping>
  <servlet-mapping>
    <servlet-name>SectorListHandler</servlet-name>
    <url-pattern>/administrador/administrarsectores</url-pattern>
  </servlet-mapping>
  <servlet-mapping>
    <servlet-name>CiiuListView</servlet-name>
    <url-pattern>/administrador/listaciius</url-pattern>
  </servlet-mapping>
  <servlet-mapping>
    <servlet-name>CiiuListHandler</servlet-name>
    <url-pattern>/administrador/administrarciius</url-pattern>
  </servlet-mapping>
  <servlet-mapping>
    <servlet-name>ImageUploaderSysManager</servlet-name>
    <url-pattern>/administrador/cargarimagenseccion</url-pattern>
  </servlet-mapping>
  <servlet-mapping>
    <servlet-name>StartCompanyHandler</servlet-name>
    <url-pattern>/administrador/administrarnuevasempresas</url-pattern>
  </servlet-mapping>
  <servlet-mapping>
    <servlet-name>PositionListView</servlet-name>
    <url-pattern>/administrador/listacargos</url-pattern>
  </servlet-mapping>
  <servlet-mapping>
    <servlet-name>PositionHandler</servlet-name>
    <url-pattern>/administrador/administrarcargos</url-pattern>
  </servlet-mapping>
  <servlet-mapping>
    <servlet-name>LoadOrderReportData</servlet-name>
    <url-pattern>/administrador/reportespedidos</url-pattern>
  </servlet-mapping>
  <servlet-mapping>
    <servlet-name>StoreListView</servlet-name>
    <url-pattern>/administrador/listaestablecimientos</url-pattern>
  </servlet-mapping>
  <servlet-mapping>
    <servlet-name>ProductViewShopkeeper</servlet-name>
    <url-pattern>/minorista/verproducto</url-pattern>
  </servlet-mapping>
  <servlet-mapping>
    <servlet-name>TopReportView</servlet-name>
    <url-pattern>/administrador/reportestop</url-pattern>
  </servlet-mapping>
  <servlet-mapping>
    <servlet-name>ContactHandler</servlet-name>
    <url-pattern>/contactenos</url-pattern>
  </servlet-mapping>
  <servlet-mapping>
    <servlet-name>PaymentMethodListView</servlet-name>
    <url-pattern>/proveedor/listaformaspago</url-pattern>
  </servlet-mapping>
  <servlet-mapping>
    <servlet-name>PaymentMethodListListener</servlet-name>
    <url-pattern>/proveedor/actualizarformaspago</url-pattern>
  </servlet-mapping>
  <servlet-mapping>
    <servlet-name>PaymentMethodHandler</servlet-name>
    <url-pattern>/proveedor/administrarformapago</url-pattern>
  </servlet-mapping>
  <servlet-mapping>
    <servlet-name>PaymentMethodListShopkeeper</servlet-name>
    <url-pattern>/proveedor/formaspagominorista</url-pattern>
  </servlet-mapping>
  <servlet-mapping>
    <servlet-name>PaymentMethodListHandlerShopkeeper</servlet-name>
    <url-pattern>/proveedor/administrarformaspagominorista</url-pattern>
  </servlet-mapping>
  <servlet-mapping>
    <servlet-name>PaymentMethodListCommunity</servlet-name>
    <url-pattern>/proveedor/formaspagocomunidad</url-pattern>
  </servlet-mapping>
  <servlet-mapping>
    <servlet-name>PaymentMethodListHandlerCommunity</servlet-name>
    <url-pattern>/proveedor/administrarformaspagocomunidad</url-pattern>
  </servlet-mapping>
  <servlet-mapping>
    <servlet-name>TopReportViewSupplier</servlet-name>
    <url-pattern>/proveedor/reportestop</url-pattern>
  </servlet-mapping>
  <servlet-mapping>
    <servlet-name>ShopKeeperReports</servlet-name>
    <url-pattern>/minorista/reportespedidos</url-pattern>
  </servlet-mapping>
  <servlet-mapping>
    <servlet-name>TopReportsView</servlet-name>
    <url-pattern>/minorista/reportestop</url-pattern>
  </servlet-mapping>
  <servlet-mapping>
    <servlet-name>StoreViewSysManager</servlet-name>
    <url-pattern>/administrador/verestablecimiento</url-pattern>
  </servlet-mapping>
  <servlet-mapping>
    <servlet-name>NewCompanyListener</servlet-name>
    <url-pattern>/administrador/actualizarnuevasempresas</url-pattern>
  </servlet-mapping>
  <servlet-mapping>
    <servlet-name>CompaniesReport</servlet-name>
    <url-pattern>/administrador/reportes/empresas</url-pattern>
  </servlet-mapping>
  <servlet-mapping>
    <servlet-name>OrdersReport</servlet-name>
    <url-pattern>/administrador/reportes/pedidos</url-pattern>
  </servlet-mapping>
  <servlet-mapping>
    <servlet-name>CategoriesReport</servlet-name>
    <url-pattern>/administrador/reportes/categorias</url-pattern>
  </servlet-mapping>
  <servlet-mapping>
    <servlet-name>GraphicDisplayer</servlet-name>
    <url-pattern>/mostrarGrafico</url-pattern>
  </servlet-mapping>
  <servlet-mapping>
    <servlet-name>ComparativeReportSelection</servlet-name>
    <url-pattern>/administrador/reportes/comparativos_inicio</url-pattern>
  </servlet-mapping>
  <servlet-mapping>
    <servlet-name>ComparativeSuppliersReport</servlet-name>
    <url-pattern>/administrador/reportes/comparativo_proveedores</url-pattern>
  </servlet-mapping>
  <servlet-mapping>
    <servlet-name>ComparativeCitiesReport</servlet-name>
    <url-pattern>/administrador/reportes/comparativo_ciudades</url-pattern>
  </servlet-mapping>
  <servlet-mapping>
    <servlet-name>NoOrderShopKeeper</servlet-name>
    <url-pattern>/administrador/reportes/no_compra_minorista</url-pattern>
  </servlet-mapping>
  <servlet-mapping>
    <servlet-name>BehaviorReport</servlet-name>
    <url-pattern>/administrador/reportes/comportamiento</url-pattern>
  </servlet-mapping>
  <servlet-mapping>
    <servlet-name>SupplierReports</servlet-name>
    <url-pattern>/administrador/reportes/proveedores</url-pattern>
  </servlet-mapping>
  <session-config>
    <session-timeout>
            30
        </session-timeout>
  </session-config>
  <welcome-file-list>
    <welcome-file>
            index.jsp
        </welcome-file>
    <welcome-file>
            index.html
        </welcome-file>
    <welcome-file>
            index.htm
        </welcome-file>
  </welcome-file-list>
</web-app>
// “Copyright (C) <2008> Multilateral Investment Fund of the Inter-American Development Bank.
// Este archivo es parte de <ICT4BUS-PVL>
// < ICT4BUS-PVL > es software libre: usted puede redistribuirlo y/o modificarlo bajo los términos de la Licencia Pública General GNU publicada por la Fundación para el Software Libre, ya sea la versión 3 de la Licencia, o (a su elección) cualquier versión posterior.
// < ICT4BUS-PVL > se distribuye con la esperanza de que sea útil, pero SIN GARANTÍA ALGUNA; ni siquiera la garantía implícita MERCANTIL o de APTITUD PARA UN PROPÓSITO DETERMINADO. 
// Consulte los detalles de la Licencia Pública General GNU para obtener una información más detallada. 
// Debería haber recibido una copia de la Licencia Pública General GNU junto a este programa. En caso contrario, consulte http://www.gnu.org/licenses/.”